#include "GapSymbol.h"

#include <object/Object.h>

#include <registration/ValuePrinterRegistration.hpp>

namespace alphabet {

GapSymbol::GapSymbol() = default;

std::ostream & operator << ( std::ostream & out, const GapSymbol & ) {
	return out << "(GapSymbol)";
}

GapSymbol::operator std::string ( ) const {
	return GapSymbol::instance < std::string > ( );
}

} /* namespace alphabet */

namespace {

auto valuePrinter = registration::ValuePrinterRegister < alphabet::GapSymbol > ( );

} /* namespace */
